Index: WAeUP_SRP/trunk/skins/waeup_default/import_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/import_form.pt	(revision 1774)
+++ WAeUP_SRP/trunk/skins/waeup_default/import_form.pt	(revision 1783)
@@ -7,5 +7,5 @@
            >
   <metal:block define-macro="edit_form">
-    <metal:block use-macro="here/waeup_content_master/macros/master">
+    <metal:block use-macro="here/main_template/macros/master">
       <metal:block fill-slot="main">
       <h3>Import Data!</h3>
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1774)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 1783)
@@ -40,7 +40,13 @@
           <li> Print your Sessional Result Slip (it includes your new Student Id for further logins), </li> 
           <li> edit your personal data record,</li> 
-          <li> book your accommodation.</li> 
+          <li> book your accommodation,</li> 
+          <li> pay your school fee,</li>
+          <li> register your courses.</li>          
           </ul>
           
+          <br />
+          <p>If you have to register for previous sessions, click "Previous Sessions" 
+          instead of "View Sess. Results".</p> 
+         
           <br />
           
@@ -89,5 +95,6 @@
           <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance.pdf">UME</a></strong>,
           <strong><a target="_blank" href="http://files.saoas.org/Procedure_for_clearance_Direct.pdf">DE</a></strong> (1 page).
-          After being cleared you are eligible for booking your accommodation on campus.
+          After being cleared you are eligible for booking your accommodation on campus, 
+          you must pay your school fee and register your courses online.
           </p>
           <br />
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_content_master.pt	(revision 1774)
+++ 	(revision )
@@ -1,43 +1,0 @@
-<!-- a content_lib macro -->
-<!-- $Id$ -->
-
-<!-- Master macro used for content stuff -->
-
-<metal:block define-macro="master"
-  tal:define="proxy here/this;
-  doc nocall:doc|python:here.getContent()">
-<metal:block use-macro="here/main_template/macros/master">
-<metal:block fill-slot="base">
-<metal:block define-slot="base">
-  <base href="" tal:attributes="href python: here_url + '/'" />
-</metal:block>
-</metal:block>
-
-<metal:block fill-slot="head_slot"><metal:block
-  define-slot="head_slot" /></metal:block>
-<metal:block fill-slot="style_slot"><metal:block define-slot="style_slot"
-  /></metal:block>
-  <metal:block fill-slot="javascript_head_slot">
-    <metal:block define-slot="javascript_head_slot" />
-  </metal:block>
-
-  <metal:block fill-slot="header">
-    <metal:block define-slot="header">
-      <a href="" tal:attributes="href string:${here/academicsParent}">
-        <img tal:attributes="src string:${here/portal_url}/arrow_up.gif"/>
-        Up one level
-      </a>
-    </metal:block>
-  </metal:block>
-
-<metal:block fill-slot="main">
-<metal:block define-slot="main" />
-</metal:block>
-
-<metal:block fill-slot="sub">
-<metal:block define-slot="sub">
-</metal:block>
-</metal:block>
-
-</metal:block>
-</metal:block>
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1774)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_document_view.pt	(revision 1783)
@@ -1,3 +1,3 @@
-<metal:body use-macro="here/waeup_content_master/macros/master">
+<metal:body use-macro="here/main_template/macros/master">
     <metal:block fill-slot="header"
                  tal:define="s_name context/getStudentNameInContext;
Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1774)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_edit_form.pt	(revision 1783)
@@ -9,5 +9,5 @@
            is_allowed context/isSectionOfficer;
            metadata metadata|nothing;
-           template here/waeup_content_master/macros/master;
+           template here/main_template/macros/master;
            ">
 <metal:block define-macro="edit_form">
@@ -16,5 +16,5 @@
   <metal:block fill-slot="header">
     <span tal:condition="not: is_allowed">
-        <metal:block use-macro="here/error_not_found/macros/not_found" />
+        <span tal:content="here/illegal_view" />
     </span>
     <span tal:condition="is_allowed">
